"""Tokenator - Track and analyze your OpenAI API token usage and costs."""

import logging
from .openai.client_openai import tokenator_openai
from .anthropic.client_anthropic import tokenator_anthropic
from .gemini.client_gemini import tokenator_gemini
from . import usage
from .utils import get_default_db_path
from .usage import TokenUsageService

usage = TokenUsageService()  # noqa: F811
__all__ = [
    "tokenator_openai",
    "tokenator_anthropic",
    "tokenator_gemini",
    "usage",
    "get_default_db_path",
]

logger = logging.getLogger(__name__)
