"""Adding detailed input and output token schema

Revision ID: f028b8155fed
Revises: f6f1f2437513
Create Date: 2025-01-19 15:41:12.715623

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = "f028b8155fed"
down_revision: Union[str, None] = "f6f1f2437513"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("token_usage", sa.Column("total_cost", sa.Integer(), nullable=False))
    op.add_column(
        "token_usage",
        sa.Column("prompt_cached_input_tokens", sa.Integer(), nullable=True),
    )
    op.add_column(
        "token_usage",
        sa.Column("prompt_cached_creation_tokens", sa.Integer(), nullable=True),
    )
    op.add_column(
        "token_usage", sa.Column("prompt_audio_tokens", sa.Integer(), nullable=True)
    )
    op.add_column(
        "token_usage", sa.Column("completion_audio_tokens", sa.Integer(), nullable=True)
    )
    op.add_column(
        "token_usage",
        sa.Column("completion_reasoning_tokens", sa.Integer(), nullable=True),
    )
    op.add_column(
        "token_usage",
        sa.Column("completion_accepted_prediction_tokens", sa.Integer(), nullable=True),
    )
    op.add_column(
        "token_usage",
        sa.Column("completion_rejected_prediction_tokens", sa.Integer(), nullable=True),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("token_usage", "completion_rejected_prediction_tokens")
    op.drop_column("token_usage", "completion_accepted_prediction_tokens")
    op.drop_column("token_usage", "completion_reasoning_tokens")
    op.drop_column("token_usage", "completion_audio_tokens")
    op.drop_column("token_usage", "prompt_audio_tokens")
    op.drop_column("token_usage", "prompt_cached_creation_tokens")
    op.drop_column("token_usage", "prompt_cached_input_tokens")
    op.drop_column("token_usage", "total_cost")
    # ### end Alembic commands ###
